/// <reference types="node" />
import { Application } from 'express';
import { ZuuOptions } from './Options';
import { SubscriptionServer } from "subscriptions-transport-ws";
import { Server } from "http";
export * from "./events";
export * from "./module";
export * from "./Options";
export * from "./GQLHelper";
export declare class BootstrappedOptions {
    private _options;
    constructor(options: ZuuOptions);
    getOptions(): ZuuOptions;
    run(app?: Application): Promise<{
        app: Application;
        server: Server;
        subscriptionServer?: SubscriptionServer;
    }>;
}
export declare class Bootstrap {
    private static _current;
    static getActiveBootstrap(): BootstrappedOptions;
    static scope(options: ZuuOptions): BootstrappedOptions;
}
export * from "./controllers";
