"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const LoadType_1 = require("./LoadType");
class ModuleLoader {
    static load(module) {
        if (module.types.includes(LoadType_1.LoadType.BEFORE))
            this.beforeHandlers.push(module);
        else if (module.types.includes(LoadType_1.LoadType.AFTER))
            this.afterHandlers.push(module);
    }
    static loadMany(modules) {
        for (let index = 0; index < modules.length; index++) {
            this.load(modules[index]);
        }
    }
    static before(app) {
        for (let index = 0; index < this.beforeHandlers.length; index++) {
            app = this.beforeHandlers[index].handleBefore(app);
        }
    }
    static after(app) {
        for (let index = 0; index < this.afterHandlers.length; index++) {
            app = this.afterHandlers[index].handleAfter(app);
        }
    }
}
ModuleLoader.beforeHandlers = [];
ModuleLoader.afterHandlers = [];
exports.ModuleLoader = ModuleLoader;
